# GET /rooms/{code} URL: https://developers.vsee.io/api/rooms-api/get/rooms/%7Bcode%7D operationId: getRoom Auth: Account Code Only — Only requires the X-AccountCode header. No token needed. Get room details Retrieve detailed information about a specific room. This is a public endpoint. Parameters: - X-AccountCode (header, string, required) — Account code - code (path, string, required) — Room code Responses: - 200 — Successful response ```json { "data": { "description": "", "specialties": [ { "code": "general_care", "name": "Default", "duration": 15 }, { "code": "primary_care", "name": "Primary Care", "duration": 15 }, { "code": "psychiatry", "name": "Psychiatry", "duration": 30 }, { "code": "dermatology", "name": "Dermatology", "duration": 15 } ], "modified": 1466796316, "created": 1446802721, "payment": { "paymentCurrency": "USD", "consultations": [ { "description": "15-min Consultation", "amount": 0, "duration": 15 }, { "description": "30 min", "amount": 20, "duration": 30 }, { "description": "45 min", "amount": 40, "duration": 45 } ] }, "slug": "room1", "name": "Room 1", "domain": "demo.vsee.me", "code": "room1", "account_code": "DEMO-ACCOUNT", "operation_settings": { "close_message": { "html": "" }, "close_msg": "", "closed_days": [ "saturday" ], "default_timezone": "America/Los_Angeles", "is_closed": false, "is_closed_now": false, "is_open_all_time": false, "is_scheduled_closed": false } } } ```